cargo install for easy installation of tools

Minimum Rust version: 1.5

Cargo has grown a new install command. This is intended to be used for installing new subcommands for Cargo, or tools for Rust developers. This doesn't replace the need to build real, native packages for end-users on the platforms you support.

For example, this guide is created with mdbook. You can install it on your system with

$ cargo install mdbook

And then use it with

$ mdbook --help

Cargo Extensions

As an example of extending Cargo, you can use the cargo-update package. To install it:

$ cargo install cargo-update

This will allow you to use cargo install-update -a command, which checks everything you've cargo install'd and updates it to the latest version.